#!/bin/sh

if [ -z "$SUDO_UID" ] ; then
	echo "Run this script with: sudo $0"
	exit 1
fi

debootstrap squeeze squeeze http://192.168.1.20:3142/ftp.debian.org/debian

echo -e "root\nroot" | chroot squeeze passwd
echo -e "auto lo\niface lo inet loopback\nauto eth0\niface eth0 inet dhcp" \
  > squeeze/etc/network/interfaces
ln -sf vimrc squeeze/etc/vimrc.tiny
rm -f squeeze/etc/udev/rules.d/70-persistent-net.rules
echo kvm > squeeze/etc/hostname
echo cgroup /mnt/cgroup cgroup defaults >> squeeze/etc/fstab
mkdir -p squeeze/mnt/cgroup

BLOCKS=$(((1024*$(du -m -s squeeze | awk '{print $1}')*12)/10))
genext2fs -z -d squeeze -b $BLOCKS -i 1024 squeeze.ext3
resize2fs squeeze.ext3 1G
tune2fs -j -c 0 -i 0 squeeze.ext3

chown $SUDO_UID:$SUDO_GID squeeze.ext3

